Run of fresh-snapshots for chrony

Try this locally (using the lintian-brush package):

debcheckout chrony
cd chrony
new-upstream --snapshot
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
Processing: chrony
Total 3899 (delta 0), reused 0 (delta 0)
Using upstream branch https://git.tuxfamily.org/chrony/chrony.git (from configuration)
Elapsed time: 0:01:22.811474
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/graph.py", line 1039, in get_parents
    return self._parents_provider.get_parent_map([key])[key]
KeyError: b'git-v1:b8d546a0d110792b162e477a2c8249df6e25f553'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 713, in _gen_revision_history
    last_revid, (revision.NULL_REVISION, )))
  File "/home/janitor/debian-janitor/breezy/breezy/graph.py", line 1045, in iter_lefthand_ancestry
    parents = get_parents(next_key)
  File "/home/janitor/debian-janitor/breezy/breezy/graph.py", line 1041, in get_parents
    raise errors.RevisionNotPresent(next_key, self)
breezy.errors.RevisionNotPresent: Revision {b'git-v1:b8d546a0d110792b162e477a2c8249df6e25f553'} not present in "Graph(LocalGitRepository('https://git.tuxfamily.org/chrony/chrony.git/'))".

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 586, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 554, in main
    resume_subworker_result=resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 423, in process_package
    resume_subworker_result)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 204, in make_changes
    committer=self.committer, trust_package=TRUST_PACKAGE)
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 300, in merge_upstream
    package, old_upstream_version)
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 437, in get_latest_version
    package, current_version, self.upstream_branch.last_revision())
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 442, in get_version
    self.upstream_branch, revision, package, current_version)
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 251, in upstream_branch_version
    lambda version, revision: upstream_version_add_revision(
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 102, in _upstream_branch_version
    str(upstream_version), upstream_revision)
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 252, in <lambda>
    upstream_branch, version, revision))
  File "/home/janitor/.config/breezy/plugins/debian/upstream/branch.py", line 155, in upstream_version_add_revision
    revno = upstream_branch.revision_id_to_dotted_revno(revid)
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 387, in revision_id_to_dotted_revno
    return self._do_revision_id_to_dotted_revno(revision_id)
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 401, in _do_revision_id_to_dotted_revno
    revno = self.revision_id_to_revno(revision_id)
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 1027, in revision_id_to_revno
    history = self._revision_history()
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 968, in _revision_history
    history = self._gen_revision_history()
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 715, in _gen_revision_history
    raise errors.GhostRevisionsHaveNoRevno(last_revid, e.revision_id)
breezy.errors.GhostRevisionsHaveNoRevno: Could not determine revno for {b'git-v1:3038047f9bc2ee5dddc14e0552491984d3488c44'} because its ancestry shows a ghost at {b'git-v1:b8d546a0d110792b162e477a2c8249df6e25f553'}

Full worker log